from django.forms import ModelForm

from containers.models import Container


class ContainerBaseForm(ModelForm):
    class Meta:
        model = Container
        fields = '__all__'

class ContainerReceiveForm(ContainerBaseForm):
    """
    Form for creating a new Container instance.
    Inherits from ContainerBaseForm.
    """
    class Meta(ContainerBaseForm.Meta):
        fields = ['number', 'receive_vehicle', 'damages', 'heavy_damaged', 'position',]




class ContainerExpeditionForm(ContainerBaseForm):
    """
    Form for updating an existing Container instance.
    Inherits from ContainerBaseForm.
    """
    class Meta(ContainerBaseForm.Meta):
        exclude = ['created_on',
                   'created_by',
                   'deleted',
                   'deleted_on',
                   'deleted_by',
                   'received']  # Exclude fields that should not be set by the user